<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
</head>
<body>
<a href={% url 'social:begin' "google-oauth2" %}> google login</a>
{% url 'social:begin' "google-oauth2" %}


<div id="google-plus-button">
    <button onclick="auth">Google+ Sign In</button>
</div>
<div class="g-signin2" data-onsuccess="onSignIn"></div>


<script src="https://apis.google.com/js/api:client.js" async defer></script>
<meta name="google-signin-client_id" content="252965758810-23qdf6bvm1p8h63v7tue01vqh9p2f6qo.apps.googleusercontent.com">
<script type="text/javascript">
    gapi.load('auth2', function () {
        var auth2;

        auth2 = gapi.auth2.init({
            client_id: "252965758810-23qdf6bvm1p8h63v7tue01vqh9p2f6qo.apps.googleusercontent.com",
            scope: "read write"
        });

        auth2.then(function () {
            var button = document.getElementById("google-plus-button");
            console.log("User is signed-in in Google+ platform?", auth2.isSignedIn.get() ? "Yes" : "No");

            auth2.attachClickHandler(button, {}, function (googleUser) {
                // Send access-token to backend to finish the authenticate
                // with your application

                var authResponse = googleUser.getAuthResponse();
                var $form;
                var $input;

                $form = $("<form>");
                $form.attr("action", "/complete/google-plus");
                $form.attr("method", "post");
                $input = $("<input>");
                $input.attr("name", "id_token");
                $input.attr("value", authResponse.id_token);
                $form.append($input);
                // Add csrf-token if needed
                $(document.body).append($form);
                $form.submit();
            });
        });
    });
</script>

<script type="text/javascript">
    gapi.load('auth2', function () {
        var auth2;

        auth2 = gapi.auth2.init({
            client_id: "{{ plus_id }}",
            scope: "{{ plus_scope }}"
        });

        auth2.then(function () {
            if (auth2.isSignedIn.get()) {
                $('#logout').on('click', function (event) {
                    event.preventDefault();
                    auth2.signOut().then(function () {
                        console.log("Logged out from Google+ platform");
                        document.location = "/logout";
                    });
                });
            }
        });
    });
</script>
</body>
</html>